io.agora.rtc

## Enum Constants.BghvsSuppressionMode

- java.lang.Object
- - java.lang.Enum<Constants.BghvsSuppressionMode>
  - - io.agora.rtc.Constants.BghvsSuppressionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.BghvsSuppressionMode>
  Enclosing class:
    Constants

      public static enum Constants.BghvsSuppressionMode
      extends java.lang.Enum<Constants.BghvsSuppressionMode>

  The BGHVS suppression mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGRESSIVE` Aggressive: High suppression level.
    `MILD` Mild: Low suppression level.
    `MODERATE` Moderate: (Default) Moderate suppression level.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the BGHVS suppression mode

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.BghvsSuppressionMode` | `fromInt(int value)` Converts an integer value to its corresponding BghvsSuppressionMode enum constant.
    `int` | `getValue()` Gets the integer value of the BghvsSuppressionMode.
    `static Constants.BghvsSuppressionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.BghvsSuppressionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MILD

          public static final Constants.BghvsSuppressionMode MILD

      Mild: Low suppression level.

    - #### MODERATE

          public static final Constants.BghvsSuppressionMode MODERATE

      Moderate: (Default) Moderate suppression level.

    - #### AGGRESSIVE

          public static final Constants.BghvsSuppressionMode AGGRESSIVE

      Aggressive: High suppression level.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the BGHVS suppression mode

  - ### Method Detail

    - #### values

          public static Constants.BghvsSuppressionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.BghvsSuppressionMode c : Constants.BghvsSuppressionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.BghvsSuppressionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the BghvsSuppressionMode.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.BghvsSuppressionMode fromInt(int value)

      Converts an integer value to its corresponding BghvsSuppressionMode enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding BghvsSuppressionMode, or null if the value is not found.